import { defineOverridesPreferences } from '@vben/preferences';

/**
 * @description 项目配置文件
 * 只需要覆盖项目中的一部分配置，不需要的配置不用覆盖，会自动使用默认配置
 * !!! 更改配置后请清空缓存，否则可能不生效
 */
export const overridesPreferences = defineOverridesPreferences({
  // overrides
  app: {
    name: import.meta.env.VITE_APP_TITLE,
    accessMode: 'backend',
  },
  logo: {
    source: 'https://ctrlph.tianyuandb.com/logo.png',
  },
  copyright: {
    companyName: '海南天远大数据科技有限公司',
    companySiteLink: 'https://www.tianyuandb.com',
    date: '2025',
    icp: '琼ICP备2024048057号-1',
    icpLink: 'https://beian.miit.gov.cn/',
  },
  footer: {
    enable: false,
  },
});
